using System;

namespace kvalifikacije2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] niz = Console.ReadLine().Split();
            int n = Int32.Parse(niz[0]);
            int k = Int32.Parse(niz[1]);
            int br = 0;
            int br1 = 0;
            string[] niz1 = Console.ReadLine().Split();
            int[] a = new int[n];
            for(int i = 0;i<n;i++)
            {
                a[i] = Int32.Parse(niz1[i]);
            }
            if(k==0)
            {
                for (int i = 0; i < n; i++)
                    br += a[i];
            }
            else
            {
                for (int i = 0; i < n; i++)
                {
                    for(int j = i;j < n;j++)
                    {
                        br += br1+a[j];
                        br1 += a[j];
                    }
                    br1 = 0;
                }
            }
            Console.WriteLine(br);
        }
    }
}